Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 459980 - app-cdr/k9copy-2.3.8: fails with: ‘AVFormatParameters’ has not been declared
Summary: app-cdr/k9copy-2.3.8: fails with: ‘AVFormatParameters’ has not been declared
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-0.11-breakage
  Show dependency tree
 
Reported: 2013-03-02 13:56 UTC by Erik Zeek
Modified: 2013-03-03 14:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log. (app-cdr:k9copy-2.3.8:20130302-134721.log.gz,24.01 KB, application/x-gzip)
2013-03-02 13:56 UTC, Erik Zeek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Zeek 2013-03-02 13:56:13 UTC
Created attachment 340758 [details]
Build log.

k9copy fails with:
/gentoo/tmp/portage/app-cdr/k9copy-2.3.8/work/k9copy-2.3.8_build/../k9copy-2.3.8-Source/src/import/k9avidecode.h:32:91: error: ‘AVFormatParameters’ has not been declared



emerge --info '=app-cdr/k9copy-2.3.8'
Portage 2.2.0_alpha164 (default/linux/amd64/13.0/desktop/kde, gcc-4.6.3, glibc-2.16.0, 3.8.1-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.8.1-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.2
KiB Mem:     8165868 total,    335368 free
KiB Swap:   10491892 total,   9315444 free
Timestamp of tree: Sat, 02 Mar 2013 12:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p42
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/ccache:          3.1.9-r1::science
dev-util/cmake:           2.8.10.2-r2::kde
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.2-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.8 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo zeekec portage-backup x11 sunrise science kde hasufell megacoffee qt
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mtune=native -march=native -O2 -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -mtune=native -march=native -O2 -ggdb"
DISTDIR="/gentoo/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going -j 3"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy clean-logs collision-protect compress-build-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles installsources merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -mtune=native -march=native -O2 -ggdb"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--enable-new-dtags -Wl,--hash-style=gnu"
MAKEOPTS="-j6 --load-average=18"
PKGDIR="/gentoo/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-i --no-p --omit-dir-times"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/gentoo/tmp"
PORTDIR="/gentoo/portage"
PORTDIR_OVERLAY="/gentoo/local/portage /gentoo/local/layman/portage-backup /gentoo/local/layman/x11 /gentoo/local/layman/sunrise /gentoo/local/layman/science /gentoo/local/layman/kde /gentoo/local/layman/hasufell /gentoo/local/layman/megacoffee /gentoo/local/layman/qt"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="16k_voice 256-color 32bit 3dnow 3dnowext 3ds 64bit R S3TC X a52 aac aacs aalib accessibility ace acl acoustid acpi additions addressbook aften agg aim aio airplay akonadi alac alaw alisp all_sfx alsa amarok amd64 amr anacron analogtv ancient android animgif ansi ant antlr ao apache2 apng archive arpack artworkextra asdf aspell assistant astr async asyncns atm attica audacious audio audiofile auth authdaemond auto-completion autoipd automap automount autotools autotrace avahi bash-completion bazaar bcmath bdf berkdb binfilter bitmap biysk bl blas blender blender-game blksha1 bloodsuckermaps bluetooth bluray bonusscripts boo bookmarks boost branding btrfs bugzilla builder bwscheduler bzip2 c++0x cairo cal3d calendar canna caps cblas-external ccache cdaudio cdda cddb cdf cdinstall cdparanoia cdr cdrom cdsound cegui celt cgi chardet charmap checkpath chm chroot cilk cipher-aes-128 cipher-aes-192 cipher-aes-256 cipher-blowfish city cjk clamav cleartype cli client clucene clutter cmake collab color colordiff compress consolekit context contrast contrib cpio cppunit cracklib cramfs crashreporter cron crypt cryptsetup css ctype cups curl curlwrappers custom-optimization cvs cvsgraph cxx d dap data dbus ddate debug-utils debugger declarative demo deprecated designer-plugin desktopglobe detex development devhelp device-mapper dga dhcp dia dirac discouraged djvu dlna dmraid dns docbook doom doom1 doom2 doomsday dosbox dot downloadorder dri drmaa dtmf dts dv dvb dvd dvdnav dvdr dvi dvipdfm ebook edd editor eds egl eigen elf emacs embedded emboss emf emovix enca encode enscript epspdf ethernet examples excel exceptions exif expoblending extensions extra extra-algorithms extra-cardsets extra-ciphers extra-tools extras faac faad facedetect faillog fakevim fam fancy fastcgi fat fax fbcondecor fcgi festival ffmpeg fftw filter finger firefox firewalld fits flac flatfile flickr fluidsynth fma fmod fontconfig fontforge fonts foomaticdb fortran fortran95 fortune fpx freetts freetype frei0r ftp fts3 fuse g3dvl gadu games gbm gcdmaster gd gdal gdbm gdu geoip geolocation geos gif gimp git gkrellm glade glep gles gles1 gles2 glew glgd glib glut gmail gmath gme gml gmp gmtfull gmttria gnome gnome-print gnuplot gocr goffice gold gopher gost gpac gpg gphoto2 gpm grammar graphics graphicsmagick graphite graphviz grass groupwise gsf gsl gsm gstreamer gtk gtk3 gtkhtml gts guidexml guile h224 h281 h323 handbook handwriting hash hbci hddtemp hdf hdf5 hdri hesiod heterogeneous hexen hexenworld high-ints highlight history holidays hou howl-compat html http httpd humanities hwinfo hyphenation i18n ical iconv icoutils icq icu id3 id3tag ide idea idn ignore-case image imagemagick imaging imap imlib infinality inifile inkjar inotify introspection iplayer ipv6 ipython irc isag ivr jabber jadetex jai java java6 javacomm javascript jbig jce jimi jit jmf john jpeg jpeg2k json kate kde kdecards kdenlive kdepim kdrive kerberos keymap kipi konqueror kontact kpathsea kvm ladspa lame lapack lasi latex lcdfilter lcms ldap lensfun libass libburn libcaca libffi libkms liblockfile libnotify libproxy libsamplerate libssh2 libtiger libv4l libvirtd libwww lightning lights live llvm lm_sensors localstorage lock log log4j logrotate logviewer logwatch lqr lto lua luatex lvm lvm2 lxc lyrics lzma lzo mad mail maildir maps math mathml matplotlib matroska maui mbrola md5sum mdadm mdnsresponder-compat media melt memmap mercurial metapost methodjit metis mhash midi mikmod mime minizip mixer mjpeg mmap mmx mmxext mng mod modplug modules mopac7 mount mozdom mozilla mp3 mp3tunes mp4 mpeg mpi_njtree mplayer mpqc mtp mudflap multilib multimedia multiprocess multitarget multiuser musepack music musicbrainz mysql mysqli na_dd na_dtv na_icons nas natspec ncat ncurses ndiff net netcdf nethack netpbm network network-cron networking new-clx new-login nfs nls nmap-update nntp nocd nodrm nosource nowin nowlistening nping npp nptl nsplugin nss nsscache nssdb ntfs ntfsprogs ntp numa numpy nut nuv oauth objc ocaml ocr ocrad octave odbcmanual odf ofa offensive offlinehelp offscreen ofx ogg ogm okteta okular omega openal openbabel openexr opengl openinventor openmp openssl opensslcrypt openstreetmap openvg openxml optimization optimize-cflags opus orc osc oscar osd osdmenu osgapps osmesa ots pager pam pam_ssh pango panorama paranoidmsg parcheck parse-clocks parted patented pbins pbs pch pci pcntl pcre pcre16 pdf pdfannotextractor pdl2 pdo perl pgplot phonon php phyp physfs pink pipe plasma player playlist plotutils plugins plutonia png pnm pogooglue policykit pop portage posix postfix postproc postscript ppds prison proj projectm psf pstricks pth publishers pulseaudio pvr pylint python q32 q8 qalculate qd qemu qhull qimageblitz qml qos qscintilla qt qt-dbus qt-faststart qt3support qt4 qthelp quesoglc quicktime quota quotes qwt radio rar raw rc5 rcs rdesktop readline redeyes regex remix remote reports resources reviewboard rfc3779 rle rogue romio root rpc rpm rrdcgi rrdtool rss rtc rtf rtmp rtsp samba sasl sbcl scale0tilt scanfolder scanner schroedinger science scipy scotch screen script scripting scripttools sdk sdl sdl-image sdlgfx search search-index secure-delete semantic-desktop sensord server session setproctitle sftp sha512 shadow shared-glapi sharedmem shine shm shmvideo shorten shout sid sift sigsegv sip sipim skins skype slp smbclient smbsharemodes smbtav2 smime smp sms smtp sndfile snmp soap sockets socks socks5 solver songs sou sound soundex sounds soup sourceview sox spamassassin sparse spatialite speech speex spell sql sqlite sqlite3 srt srtp sse sse2 sse3 sse4a ssh ssl stars startup-notification statistics stats stlport stream subject-rewrite subtitles subunit subversion suexec suid superlu svg swat swig switcher symlink syslog system-sqlite sysvipc szip t1lib taamey taglib tcl tcmalloc tcpd templates tesseract tex4ht texi2html textures tga themedesigner themes theora thesaurus thin-splines threads threadsafe thumbnail thunar tidy tiff timezone tk tls tnt tokenizer toolbar tools torque track-src-odirect traits transcode translator truetype tts tv tv_check tv_combiner tv_pick_cgi tvtime twolame type3 udev udisks udunits umfpack uml unicode unique unlock-notify unzip upnp upower urandom urlpicpreview usb userlocales userpriv utempter utils uudeview uuid v4l vala valgrind vamp vcd vcdx vde vdr video videos vim vim-pager vim-syntax virt-network virtualbox virtuoso visibility vlm vnc voice vorbis vpx vserver vxml wav wavpack weather web webcam webdav webdav-neon webdav-serf webinterface webkit webm webp webpresence wide-unicode wifi wiki windeco wineappdb wininst winpopup wma wma-fixed wmf word-perfect wordperfect wpg wps wxwidgets wyfv x264 xa xanim xattr xcap xcb xcomposite xerces-c xetex xext xface xforms xforward xft xhtml xine xinerama xinetd xml xmlpatterns xmlreader xmlrpc xmlwriter xmp xnest xorg xosd xplanet xpm xrandr xrender xscreensaver xsettings xsl xslt xtended xterm xv xvfb xvid xvmc yaepg yahoo youtube zeitgeist zeroconf zip zlib zoran zsh-completion zvbi" ABI_X86="64" ALSA_CARDS="intel8x0 intel8x0m pxa2xx-ac97 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias cgi cgid authn_core authz_core unixd socache_shmcb lbmethod_bytraffic slotmem_shm" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="btrfs crypt syslog biosdevname caps crypt-gpg ssh-client syslog" DVB_CARDS="af9005 bcm3510 cx18 cx231xx cx23885 mpc718 nxt200x sp8870 sp887x" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver scripting-javascript wiki-publisher scripting-beanshell" LINGUAS="en en_US" PHP_TARGETS="php5-5 php5-4 php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 ppc ppc64 ppc64abi32 x86_64" RUBY_TARGETS="ruby18 ruby19" SANE_BACKENDS="canon canon630u canon_dr canon_pp hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s net pnm" USERLAND="GNU" VIDEO_CARDS="radeon r300 r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

app-cdr/k9copy-2.3.8 was built with the following:
USE="(consolekit) handbook mplayer (multilib) (policykit) (-aqua) -debug" LINGUAS="-ca -cs -da -de -el -es -es_AR -fr -it -ja -nl -pl -pt_BR -ru -sr -sr@Latn -tr -uk -zh_TW"
Comment 1 Michael Palimaka (kensington) gentoo-dev 2013-03-02 16:10:41 UTC
Which version of ffmpeg/libav do you have?
Comment 2 Alexis Ballier gentoo-dev 2013-03-02 16:24:40 UTC
weird it didnt come out on the radar... anyway: backlite patches should work; only the .pro part has to be ported
Comment 3 Erik Zeek 2013-03-02 20:51:35 UTC
(In reply to comment #1)
> Which version of ffmpeg/libav do you have?

I have media-video/ffmpeg-1.0.4.

I previously installed k9copy on Dec 10, 2012 and media-video/ffmpeg-0.10.6 on the same day.
Comment 4 Alexis Ballier gentoo-dev 2013-03-03 14:18:46 UTC
+  03 Mar 2013; Alexis Ballier <aballier@gentoo.org> k9copy-2.3.8.ebuild,
+  +files/k9copy-2.3.8-ffmpeg-0.11.patch,
+  +files/k9copy-2.3.8-includepaths.patch:
+  Import slackware patch to build with recent ffmpeg versions and port the
+  patch from backlite to properly include ffmpeg headers, bug #459980
+